/*
模板1
*/
const { app, BrowserWindow } = global.electron
let indexWindow;
let winH = -1;
let winW = -1;
app.on('ready', function() {
    const { screen } = global.electron
    winH = screen.getPrimaryDisplay().workAreaSize.height;
    winW = screen.getPrimaryDisplay().workAreaSize.width;
})

function showWindow() {
    createIndexWindow();
};

function closeWindow() {

};

function createIndexWindow() {
    // 创建浏览器窗口。
    indexWindow = new BrowserWindow({
        width: 1200,
        height: 800,
        resizable: true
    });

    // 加载应用的 index.html。
    indexWindow.loadURL(`file://${global.dirname}/template/callback_2.html`);
    // indexWindow.on('unresponsive', function(e) {
    //     console.log(e);
    // });
    // indexWindow.webContents.on('did-fail-load', function(e) {
    //     console.log(e);
    // });
    // indexWindow.webContents.on('did-finish-load', function(e) {
    //     console.log(e);
    // });
    // indexWindow.webContents.on('crashed', function(e) {
    //     console.log(e);
    // });
    // 启用开发工具。
    // indexWindow.webContents.openDevTools();
	indexWindow.on("close",(e)=>{
		//e.preventDefault();
		//console.log("fasongshuju");
		indexWindow.webContents.send("closeWindow");
	})
    // 当 window 被关闭，这个事件会被触发。
    indexWindow.on('closed', () => {
        // 取消引用 window 对象，如果你的应用支持多窗口的话，
        // 通常会把多个 window 对象存放在一个数组里面，
        // 与此同时，你应该删除相应的元素。
        indexWindow = null;
        app.quit();
    });
};

module.exports.showWindow = showWindow;